import { jsx as _jsx } from "react/jsx-runtime";
import { memo, useMemo } from 'react';
import { createRowEntries } from '../verbForm/createRowEntries.js';
import { VerbDescription } from '../verbForm/VerbDescription.js';
export const EraseDescription = /*#__PURE__*/ memo(function EraseDescription(props) {
    const rows = useMemo(()=>{
        const { step: { args  } ,  } = props;
        const sub = createRowEntries(args.columns, (c)=>({
                value: c
            }), 3, props);
        return [
            {
                before: `erase column${args.columns?.length !== 1 ? 's' : ''}`,
                value: args.columns.length === 0 ? undefined : '',
                sub
            },
            {
                before: 'with value',
                value: args.value
            }, 
        ];
    }, [
        props
    ]);
    return /*#__PURE__*/ _jsx(VerbDescription, {
        ...props,
        rows: rows
    });
});
